#!/bin/bash
RL=`readlink -f "$0"`
DD=`dirname "$RL"`
sudo apt-get update
sudo apt-get install perl perl-modules build-essential gcc g++ libicu-dev subversion autoconf automake libgoogle-perftools-dev libgoogle-perftools0 libdb-dev cmake libboost-dev
sudo apt-get install libc6-dev-i386
sudo cpan -i 'YAML'
sudo cpan -i 'Bundle::CPAN'
sudo cpan -i 'Encode'
sudo cpan -i 'DB_File'
sudo cpan -i 'DBM_Filter'
sudo cpan -i 'IPC::Run'
sudo cpan -i 'SDBM_File'
sudo cpan -i 'MLDBM::Sync'
sudo cpan -i 'Digest::SHA1'
sudo cpan -i 'Getopt::Long'
cd /tmp/
sudo rm -rf vislcg3
svn export http://beta.visl.sdu.dk/svn/visl/tools/vislcg3/trunk vislcg3
cd vislcg3/
./cmake.sh
make -j3
./test/runall.pl
sudo make install
sudo rm -rf /opt/hispal
sudo cp -av "$DD" /opt/hispal
echo ""
echo ""
echo "RUNNING SELFTEST:"
echo "Allí, dos pelotaris vascos ganaron una medalla de oro iniciando la emotiva historia del medallero español." | /opt/hispal/spa.pl 2>/dev/null
echo ""
echo "If the above output looks correct then hispal has successfully been installed to /opt/hispal and can be run via /opt/hispal/spa.pl"
echo "There is also a how-to text: /opt/hispal/text/howto_hispal.txt"
